gr::satellites::nusat_decoder_impl Class Reference

`#include <nusat_decoder_impl.h>`

Inheritance diagram for gr::satellites::nusat_decoder_impl:
[legend]

## Public Member Functions

| nusat_decoder_impl ()
| ~nusat_decoder_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members

Public Types inherited from gr::satellites::nusat_decoder
typedef boost::shared_ptr< nusat_decoder > | sptr
Static Public Member Functions inherited from gr::satellites::nusat_decoder
static sptr | make ()
| Return a shared_ptr to a new instance of satellites::nusat_decoder.

## Constructor & Destructor Documentation

## nusat_decoder_impl()

gr::satellites::nusat_decoder_impl::nusat_decoder_impl | ( |  | ) |

## ~nusat_decoder_impl()

gr::satellites::nusat_decoder_impl::~nusat_decoder_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::satellites::nusat_decoder_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::satellites::nusat_decoder_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## msg_handler()

void gr::satellites::nusat_decoder_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- nusat_decoder_impl.h